"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.getDictFile = exports.getDict = void 0;
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
function getDict(name, basePath) {
    return {
        adjectives: getDictFile(path_1["default"].join(name, "adjectives.txt"), basePath),
        nouns: getDictFile(path_1["default"].join(name, "nouns.txt"), basePath),
        verbs: getDictFile(path_1["default"].join(name, "verbs.txt"), basePath)
    };
}
exports.getDict = getDict;
function getDictFile(name, basePath) {
    basePath = basePath || path_1["default"].resolve(__dirname, "../dict");
    var file = path_1["default"].resolve(basePath, name);
    return fs_1["default"].readFileSync(file, "utf-8").trim().split("\n");
}
exports.getDictFile = getDictFile;
