import { generate } from "./generate";
import { getDict, getDictFile } from "./dict";
export interface Dictionary {
    adjectives: string[];
    nouns: string[];
    verbs: string[];
}
export interface Dictionaries {
    reserved: string[];
    default: Dictionary;
    rugged: Dictionary;
}
export interface SubdomainOptions {
    reserved?: boolean | string[];
}
export declare const dictionaries: Dictionaries;
export declare function valid_subdomain(name: string, opts?: SubdomainOptions): boolean;
export declare const rawData: Dictionaries;
export declare function validate(name: string, opts?: SubdomainOptions): boolean;
declare const _default: {
    generate: typeof generate;
    getDict: typeof getDict;
    getDictFile: typeof getDictFile;
    valid_subdomain: typeof valid_subdomain;
    validate: typeof validate;
    rawData: Dictionaries;
};
export default _default;
